<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_add_an_image_to_the_header">
  <title>How to Add a Background Image to the Header</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
            ><ph keyref="pdf-html5-transformation"/>
          <indexterm>Header<indexterm>Add background image</indexterm></indexterm></indexterm>
        <indexterm product="pdf-css ope">Header<indexterm>Add background
          image</indexterm></indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_axq_cgk_54b">A common use-case is to add a background image to one of the page corners.</p>
    <codeblock  id="codeblock_bxq_cgk_54b">@page :left {
    @bottom-left-corner{
        content: " ";
        background-image: url('https://www.oxygenxml.com/resellers/resources/OxygenXMLEditor_icon.svg');
        background-repeat:no-repeat;
        background-position:50% 50%;        
    }
}</codeblock>
    <note type="important" id="note_cxq_cgk_54b">Always specify a <codeph>content</codeph> property. If not, the page
      margin box will not be generated. </note>
    <p id="p_dxq_cgk_54b">Another use-case is to use the <codeph>@top-left</codeph> or <codeph>@top-right</codeph> page
      margin boxes. These boxes have an automatic layout and they can be very small if they have no
      content. If there is no text to be placed over the image, use a series of non-breaking spaces
        (<codeph>\A0</codeph>) to increase the box width as in the following example (alternatively,
      you can use the technique described in <xref
        href="dcpp_how_to_simulate_the_header_and_footer_by_using_a_page_background_image.dita"
      />):</p>
    <codeblock  id="codeblock_exq_cgk_54b">@page :left {
    @top-left{
        content: '\A0\A0\A0\A0\A0\A0\A0\A0\A0\A0';
        background-image: url('https://www.oxygenxml.com/resellers/resources/OxygenXMLEditor_icon.svg');
        background-repeat:no-repeat;
        background-position:50% 50%;
    }
}</codeblock>
    <note conkeyref="reusables-dcpp/note_pqy_hdn_vcb" id="note_fxq_cgk_54b"/>
  </body>
  <related-links>
    <linklist>
      <title>Related Information:</title>
      <link href="dcpp_images.dita"/>
      <link href="dcpp_how_to_change_the_cover_image.dita"/>
      <link href="ch_how_to_add_a_link_in_headers_and_footers.dita"/>
    </linklist>
  </related-links>
</topic>
